AWS
probe ASG

# desired_equals_healthy

Returns if desired number matches the number of healthy instances for each of the auto-scaling groups

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | desired_equals_healthy
Return | boolean

Usage

JSON

    {
      "name": "desired-equals-healthy",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "desired_equals_healthy",
        "arguments": {
          "asg_names": []
        }
      }
    }

YAML

    name: desired-equals-healthy
    provider:
      arguments:
        asg_names: []
      func: desired_equals_healthy
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list

Signature

    def desired_equals_healthy(asg_names: List[str],
                               configuration: Dict[str, Dict[str, str]] = None,
                               secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action ASG

  ## `attach_volume`

  Attaches ebs volumes that have been previously detached
- AWS
  action ASG

  ## `resume_processes`

  Resumes 1 or more suspended processes on a list of auto-scaling groups.
- AWS
  action ASG

  ## `attach_volume`

  Attaches ebs volumes that have been previously detached